For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all documents in a table.
      • POSTCreate a document in a table.
      • POSTUpdate multiple documents in a table.
      • GETGet a document by ID.
      • PUTUpdate a document by ID.
      • DELDelete a document by ID.
      • POSTDelete multiple document by ID.
LogoLogo
Scout DocsAccess Scout
EndpointsDocuments

Create a document in a table.

Beta
POST
https://api.scoutos.com/v2/collections/:collection_id/tables/:table_id/documents
POST
/v2/collections/:collection_id/tables/:table_id/documents
$curl -X POST https://api.scoutos.com/v2/collections/collection_id/tables/table_id/documents \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": [
3 {
4 "document_id": "d4f5a7b2-9c3e-4f1a-8b6e-2a7f9c3d5e1f",
5 "created_by": {
6 "type": "user",
7 "details": {
8 "api_key": {}
9 }
10 },
11 "last_updated_by": {
12 "type": "user",
13 "details": {
14 "api_key": {}
15 }
16 },
17 "data": {},
18 "document_data_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
19 "created_at": "2024-01-15T09:30:00Z",
20 "last_updated_at": "2024-01-15T09:30:00Z",
21 "revision_id": "rev-20240115-093000",
22 "job_id": "job-9876543210",
23 "sync_id": "sync-1234567890",
24 "studio_row_id": "row-4567891230",
25 "cells": {}
26 }
27 ],
28 "status": "success"
29}
Was this page helpful?
Previous

Update multiple documents in a table.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired
table_idstringRequired

Query parameters

job_idstring or nullOptional

The job id responsible for the document creation/update

sync_idstring or nullOptional

The sync id the job belongs to thats responsible for the document creation/update

await_completionbooleanOptionalDefaults to true

Whether to wait for document creation/update to complete

modestring or nullOptionalDefaults to merge

The mode to use for the document creation/update

merge_fieldsbooleanOptionalDefaults to false
Whether to merge only provided fields into existing document

Request

This endpoint expects a map from strings to booleans or maps from strings to any or doubles or integers or strings or a map from strings to nullable booleans or maps from strings to any or doubles or integers or strings or a list of maps from strings to booleans or maps from strings to any or doubles or integers or strings or a list of maps from strings to nullable booleans or maps from strings to any or doubles or integers or strings or lists of any.
DocumentsCreateRequest0map from strings to booleans or maps from strings to any or doubles or integers or stringsRequired
OR
DocumentsCreateRequest1map from strings to nullable booleans or maps from strings to any or doubles or integers or stringsRequired
OR
DocumentsCreateRequest2list of maps from strings to booleans or maps from strings to any or doubles or integers or stringsRequired
OR
DocumentsCreateRequest3list of maps from strings to nullable booleans or maps from strings to any or doubles or integers or strings or lists of anyRequired

Response

Successful Response
datalist of objects
statusstring or null

Errors

422
Unprocessable Entity Error
This endpoint expects a map from strings to booleans or maps from strings to any or doubles or integers or strings or a map from strings to nullable booleans or maps from strings to any or doubles or integers or strings or a list of maps from strings to booleans or maps from strings to any or doubles or integers or strings or a list of maps from strings to nullable booleans or maps from strings to any or doubles or integers or strings or lists of any.